series: jammy
applications:
  dashboard-mysql-router:
    charm: mysql-router
    channel: 8.0/stable
    revision: 257
    options:
      source: distro
  glance:
    charm: glance
    channel: yoga/stable
    revision: 620
    resources:
      policyd-override: 0
    num_units: 1
    to:
    - lxd:0
    expose: true
    options:
      debug: true
      openstack-origin: distro
    constraints: arch=amd64
  glance-mysql-router:
    charm: mysql-router
    channel: 8.0/stable
    revision: 257
    options:
      source: distro
  heat:
    charm: heat
    channel: yoga/stable
    revision: 548
    resources:
      policyd-override: 0
    num_units: 1
    to:
    - lxd:0
    expose: true
    options:
      debug: true
      openstack-origin: distro
    constraints: arch=amd64
  heat-mysql-router:
    charm: mysql-router
    channel: 8.0/stable
    revision: 257
    options:
      source: distro
  keystone:
    charm: keystone
    channel: yoga/stable
    revision: 689
    resources:
      policyd-override: 0
    num_units: 1
    to:
    - lxd:0
    expose: true
    options:
      admin-password: password
      admin-role: admin
      debug: true
      openstack-origin: distro
      preferred-api-version: 3
      service-port: 5050
    constraints: arch=amd64
  keystone-mysql-router:
    charm: mysql-router
    channel: 8.0/stable
    revision: 257
    options:
      source: distro
  mysql-innodb-cluster:
    charm: mysql-innodb-cluster
    channel: 8.0/stable
    revision: 159
    resources:
      mysql-shell: 0
    num_units: 3
    to:
    - lxd:0
    - lxd:0
    - lxd:0
    options:
      innodb-buffer-pool-size: 256M
      max-connections: 1500
    constraints: arch=amd64
  neutron-api:
    charm: neutron-api
    channel: yoga/stable
    revision: 649
    resources:
      policyd-override: 0
    num_units: 1
    to:
    - lxd:0
    expose: true
    options:
      debug: true
      manage-neutron-plugin-legacy-mode: false
      neutron-security-groups: true
      openstack-origin: distro
    constraints: arch=amd64
  neutron-mysql-router:
    charm: mysql-router
    channel: 8.0/stable
    revision: 257
    options:
      source: distro
  nova-cloud-controller:
    charm: nova-cloud-controller
    channel: yoga/stable
    revision: 786
    resources:
      policyd-override: 0
    num_units: 1
    to:
    - lxd:0
    expose: true
    options:
      cache-known-hosts: false
      console-access-protocol: novnc
      debug: true
      network-manager: Neutron
      openstack-origin: distro
    constraints: arch=amd64
  nova-compute:
    charm: nova-compute
    channel: yoga/stable
    revision: 828
    num_units: 1
    to:
    - "0"
    options:
      debug: true
      enable-live-migration: true
      enable-resize: true
      migration-auth-type: ssh
      openstack-origin: distro
      virt-type: qemu
    constraints: arch=amd64
    storage:
      ephemeral-device: loop,10240M
  nova-mysql-router:
    charm: mysql-router
    channel: 8.0/stable
    revision: 257
    options:
      source: distro
  ntp:
    charm: ntp
    channel: stable
    revision: 52
  openstack-dashboard:
    charm: openstack-dashboard
    channel: yoga/stable
    revision: 724
    resources:
      policyd-override: 0
      theme: 0
    num_units: 1
    to:
    - lxd:0
    expose: true
    options:
      debug: "true"
      openstack-origin: distro
    constraints: arch=amd64
  placement:
    charm: placement
    channel: yoga/stable
    revision: 94
    num_units: 1
    to:
    - lxd:0
    options:
      debug: true
      openstack-origin: distro
    constraints: arch=amd64
  placement-mysql-router:
    charm: mysql-router
    channel: 8.0/stable
    revision: 257
    options:
      source: distro
  rabbitmq-server:
    charm: rabbitmq-server
    channel: 3.9/stable
    revision: 261
    num_units: 1
    to:
    - lxd:0
    options:
      min-cluster-size: 1
    constraints: arch=amd64
  swift-proxy:
    charm: swift-proxy
    channel: yoga/stable
    revision: 180
    resources:
      policyd-override: 0
    num_units: 1
    to:
    - lxd:0
    expose: true
    options:
      debug: true
      openstack-origin: distro
      replicas: 1
      zone-assignment: manual
    constraints: arch=amd64
  swift-storage:
    charm: swift-storage
    channel: yoga/stable
    revision: 518
    num_units: 1
    to:
    - "0"
    options:
      block-device: /etc/swift/storagedev1.img|15G
      openstack-origin: distro
      zone: 1
    constraints: arch=amd64
    storage:
      block-devices: loop,1024M
  ubuntu:
    charm: ubuntu
    channel: stable
    revision: 24
    num_units: 1
    to:
    - "0"
    constraints: arch=amd64
    storage:
      block: loop,100M
      files: rootfs,100M
machines:
  "0":
    constraints: arch=amd64 mem=3584
relations:
- - nova-compute:amqp
  - rabbitmq-server:amqp
- - nova-compute:image-service
  - glance:image-service
- - nova-cloud-controller:cloud-compute
  - nova-compute:cloud-compute
- - placement:identity-service
  - keystone:identity-service
- - placement:placement
  - nova-cloud-controller:placement
- - nova-cloud-controller:identity-service
  - keystone:identity-service
- - glance:identity-service
  - keystone:identity-service
- - neutron-api:identity-service
  - keystone:identity-service
- - neutron-api:amqp
  - rabbitmq-server:amqp
- - glance:amqp
  - rabbitmq-server:amqp
- - nova-cloud-controller:image-service
  - glance:image-service
- - nova-cloud-controller:amqp
  - rabbitmq-server:amqp
- - openstack-dashboard:identity-service
  - keystone:identity-service
- - nova-cloud-controller:neutron-api
  - neutron-api:neutron-api
- - heat:amqp
  - rabbitmq-server:amqp
- - heat:identity-service
  - keystone:identity-service
- - swift-proxy:amqp
  - rabbitmq-server:amqp
- - swift-proxy:identity-service
  - keystone:identity-service
- - swift-proxy:swift-storage
  - swift-storage:swift-storage
- - swift-proxy:object-store
  - glance:object-store
- - ubuntu:juju-info
  - ntp:juju-info
- - keystone:shared-db
  - keystone-mysql-router:shared-db
- - keystone-mysql-router:db-router
  - mysql-innodb-cluster:db-router
- - glance:shared-db
  - glance-mysql-router:shared-db
- - glance-mysql-router:db-router
  - mysql-innodb-cluster:db-router
- - nova-cloud-controller:shared-db
  - nova-mysql-router:shared-db
- - nova-mysql-router:db-router
  - mysql-innodb-cluster:db-router
- - neutron-api:shared-db
  - neutron-mysql-router:shared-db
- - neutron-mysql-router:db-router
  - mysql-innodb-cluster:db-router
- - openstack-dashboard:shared-db
  - dashboard-mysql-router:shared-db
- - dashboard-mysql-router:db-router
  - mysql-innodb-cluster:db-router
- - heat:shared-db
  - heat-mysql-router:shared-db
- - heat-mysql-router:db-router
  - mysql-innodb-cluster:db-router
- - placement:shared-db
  - placement-mysql-router:shared-db
- - placement-mysql-router:db-router
  - mysql-innodb-cluster:db-router
